package org.springblade.modules.userJwd.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.system.entity.User;
import org.springblade.modules.userJwd.entity.UserJwdEntity;
import org.springblade.modules.userJwd.vo.UserJwdVO;

import java.util.List;

public interface UserJwdMapper extends BaseMapper<UserJwdEntity> {
	List<User> getUserList();

	List<UserJwdVO> getByUserId(Long id);

	boolean isContained(@Param("jwd") String jwd, @Param("dkfw") String dkfw);

	void updateStatus(UserJwdVO userJwd);
}
